Package org.apache.sling.engine

# Interface RequestInfo

@ProviderType public interface RequestInfo
Information about a single request.

Since:
  2.5
See Also:
  - `RequestInfoProvider`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getId()`
Get the unique id for the request
`@NotNull String`
`getLog()`
Get the log for the request
`@NotNull String`
`getMethod()`
Get the request method
`@NotNull String`
`getPath()`
Get the requested path
`@Nullable String`
`getUserId()`
Get the user id for the request

## Method Details

### getId

@NotNull @NotNull String getId()
Get the unique id for the request

Returns:
  The id

### getMethod

@NotNull @NotNull String getMethod()
Get the request method

Returns:
  The request method

### getPath

@NotNull @NotNull String getPath()
Get the requested path

Returns:
  The path

### getUserId

@Nullable @Nullable String getUserId()
Get the user id for the request

Returns:
  the user id or `null`

### getLog

@NotNull @NotNull String getLog()
Get the log for the request

Returns:
  The request log, multi-line output